# EEntry

## Name

EEntry --

## Synopsis

    #define     E_ENTRY_TYPE
    typedef     EEntry;
    EEntry*     e_entry_construct               (EEntry *e_entry);
    GtkWidget*  e_entry_new                     (void);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkTable
                         +----EEntry

## Properties

      "model"                GtkObject             : Read / Write
      "event-processor"      GtkObject             : Read / Write
      "text"                 gchar*                : Read / Write
      "font"                 gchar*                : Write
      "fontset"              gchar*                : Write
      "font-gdk"             GdkFont               : Read / Write
      "justification"        GtkJustification      : Read / Write
      "fill-color"           gchar*                : Write
      "fill-color-gdk"       GdkColor              : Read / Write
      "fill-color-rgba"      guint                 : Read / Write
      "fill-stipple"         GdkWindow             : Read / Write
      "editable"             gboolean              : Read / Write
      "use-ellipsis"         gboolean              : Read / Write
      "ellipsis"             gchar*                : Read / Write
      "line-wrap"            gboolean              : Read / Write
      "break-characters"     gchar*                : Read / Write
      "max-lines"            gint                  : Read / Write
      "allow-newlines"       gboolean              : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (EEntry *eentry,
                                                gpointer user_data);
    "activate"  void        user_function      (EEntry *eentry,
                                                gpointer user_data);

## Description

## Details

### E_ENTRY_TYPE

    #define E_ENTRY_TYPE        (e_entry_get_type ())

### EEntry

    typedef struct {
    	GtkTable parent;

    	GnomeCanvas *canvas;
    	EText *item;
    } EEntry;

### e_entry_construct ()

    EEntry*     e_entry_construct               (EEntry *e_entry);

Constructs the given EEntry.

`e_entry` : |
Returns : |

### e_entry_new ()

    GtkWidget*  e_entry_new                     (void);

Creates a new EEntry.

Returns : | The new EEntry

## Properties

### The "`model`" property

      "model"                GtkObject             : Read / Write

### The "`event-processor`" property

      "event-processor"      GtkObject             : Read / Write

### The "`text`" property

      "text"                 gchar*                : Read / Write

### The "`font`" property

      "font"                 gchar*                : Write

### The "`fontset`" property

      "fontset"              gchar*                : Write

### The "`font-gdk`" property

      "font-gdk"             GdkFont               : Read / Write

### The "`justification`" property

      "justification"        GtkJustification      : Read / Write

### The "`fill-color`" property

      "fill-color"           gchar*                : Write

### The "`fill-color-gdk`" property

      "fill-color-gdk"       GdkColor              : Read / Write

### The "`fill-color-rgba`" property

      "fill-color-rgba"      guint                 : Read / Write

### The "`fill-stipple`" property

      "fill-stipple"         GdkWindow             : Read / Write

### The "`editable`" property

      "editable"             gboolean              : Read / Write

### The "`use-ellipsis`" property

      "use-ellipsis"         gboolean              : Read / Write

### The "`ellipsis`" property

      "ellipsis"             gchar*                : Read / Write

### The "`line-wrap`" property

      "line-wrap"            gboolean              : Read / Write

### The "`break-characters`" property

      "break-characters"     gchar*                : Read / Write

### The "`max-lines`" property

      "max-lines"            gint                  : Read / Write

### The "`allow-newlines`" property

      "allow-newlines"       gboolean              : Read / Write

## Signals

### The "changed" signal

    void        user_function                  (EEntry *eentry,
                                                gpointer user_data);

`eentry` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "activate" signal

    void        user_function                  (EEntry *eentry,
                                                gpointer user_data);

`eentry` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.